=== debian/changelog ===
kglobalaccel (5.78.0-3) unstable; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * Cherry pick upstream fix for kglobalaccel possibly running under an
    incorrect uid, thus starting programs as different user.

 -- Norbert Preining <norbert@preining.info>  Sat, 27 Mar 2021 07:26:39 +0900

kglobalaccel (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:21 +0900

kglobalaccel (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.
  * Drop upstream included patch.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:42 +0900

kglobalaccel (5.77.0-3) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update renamed lintian tag names in lintian overrides.
  * Delete not needed Breaks/Confilcts.
  * Mark libkf5globalaccel-dev as Multi-Arch: same.
  * Add upstream patch to not restart KGobalAccel while shutting down.

 -- Sandro Knauß <hefee@debian.org>  Mon, 28 Dec 2020 14:32:53 +0100

kglobalaccel (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:34 +0900

kglobalaccel (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:53 +0900

kglobalaccel (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:16:38 +0200

kglobalaccel (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update lintian-overrides.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:45:36 +0200
