## kglobalaccel 5.80.0

=== debian/changelog ===
kglobalaccel (5.80.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian experimental. Remaining changes:
    - Kubuntu Vcs fields.
    - libkf5globalaccel-bin B/R libkf5globalaccel-data (<< 5.77.0-3~)
    - Disable testsuite.
    - Add 0001-Revert-systemd-dbus-activation.patch
      Work around KDE Bug 429415, thanks to Fabian Vogt from OpenSuse.

 -- Rik Mills <rikmills@kde.org>  Sat, 27 Mar 2021 14:08:22 +0000

kglobalaccel (5.80.0-2) experimental; urgency=medium

  * Cherry pick upstream fix for kglobalaccel possibly running under an
    incorrect uid, thus starting programs as different user.

 -- Norbert Preining <norbert@preining.info>  Sat, 27 Mar 2021 07:24:34 +0900

kglobalaccel (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:33 +0900

kglobalaccel (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:07:38 +0000

kglobalaccel (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:27 +0900

kglobalaccel (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:21:33 +0000

kglobalaccel (5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - libkf5globalaccel-bin B/R libkf5globalaccel-data (<< 5.77.0-3~)
    - Disable testsuite.
    - Add 0001-Revert-systemd-dbus-activation.patch
      Work around KDE Bug 429415, thanks to Fabian Vogt from OpenSuse.

 -- Rik Mills <rikmills@kde.org>  Sun, 31 Jan 2021 11:15:02 +0000

kglobalaccel (5.78.0-0ubuntu2) hirsute; urgency=medium

  * Add 0001-Revert-systemd-dbus-activation.patch
    Work around KDE Bug 429415, thanks to Fabian Vogt from OpenSuse.

 -- Rik Mills <rikmills@kde.org>  Wed, 13 Jan 2021 10:39:04 +0000

kglobalaccel (5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)
  * Drop upstream-Avoid-autostarting-kglobalaccel-when-shutting-
    down.patch, included in this release.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:56:06 +0000

kglobalaccel (5.77.0-3ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - libkf5globalaccel-bin B/R libkf5globalaccel-data (<< 5.77.0-3~)
    - Disable testsuite.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Jan 2021 14:25:56 +0000

kglobalaccel (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:10:03 +0000

kglobalaccel (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * New upstream release (5.76.0)
  * Update installed files
  * Remove debian broken Breaks after merge
  * Remove postinst-must-call-ldconfig obsolete lintian override

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:22:28 +0000
