## kglobalaccel 5.86.0

=== debian/changelog ===
kglobalaccel (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:47:47 +0100

kglobalaccel (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:26:47 +0100

kglobalaccel (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 08:59:58 +0100

kglobalaccel (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:16:54 +0100

kglobalaccel (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)
  * Comment out 0001-Revert-systemd-dbus-activation.patch
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:56:22 +0100

kglobalaccel (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)
  * Drop upstream-bbec7433-dont-run-kglobalaccel-with-wrong-uid.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:29:05 +0100
